package com.example.dtf.repositories

import androidx.paging.PagingData
import com.example.dtf.models.Post
import kotlinx.coroutines.flow.Flow

interface IPostRepository {
    suspend fun insert(post: Post)
    suspend fun update(post: Post)

    fun getById(id: Int): Flow<Post>
    fun getByCategory(categoryId: Int): Flow<PagingData<Post>>
}